﻿.header-style7 .header-box{
    width: 1840px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    position: relative;
    padding-top: 20px;
    box-sizing: border-box; 
    font-size: 0;
    transition: all .3s linear;
}
.header-style7{
    position: fixed;
    top: 0;
    left: 0;
    z-index: 999;
    width: 100%;
    display: block;
    transition: all .3s linear;
}
.header2{
    background-color: #fff;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
}
.header2 .header-box{
    padding-top: 10px;
    padding-bottom: 10px;
}
.header-style7 .header-logo{
    width: 80px;
    display: inline-block;
    vertical-align: middle;
    position: relative;
    z-index: 3;
}
.header-style7 .header-logo img:nth-child(1){
    display: none;
}
#index .header-style7 .header-logo img:nth-child(1),
#works-page .header-style7 .header-logo img:nth-child(1){
    display: block;
}
#index .header-style7 .header-logo img:nth-child(2),
#works-page .header-style7 .header-logo img:nth-child(2){
    display: none;
}
#index .header2 .header-logo img:nth-child(2),
#works-page .header2 .header-logo img:nth-child(2){
    display: block;
}
#index .header2 .header-logo img:nth-child(1),
#works-page .header2 .header-logo img:nth-child(1){
    display: none;
}
#index .header-logo.active img:nth-child(2),
#works-page .header-logo.active img:nth-child(2){
    display: block;
}
#index .header-logo.active img:nth-child(1),
#works-page .header-logo.active img:nth-child(1){
    display: none;
}
.header-tel-box{
    width: calc(100% - 155px);
    display: inline-block;
    vertical-align: middle;
    text-align: right;
    box-sizing: border-box;
    padding-right: 30px;
}
.header-tel{
    font-size: 20px;
    letter-spacing: 0.06em;
    color: #000;
    font-family: 'Roboto';
    transition: all .3s linear;
}
#index .header-tel,
#works-page .header-tel{
    color: #FFFFFF;
}
#index .header2 .header-tel,
#works-page .header2 .header-tel{
    color: #000;
}
.header-style7 .header-menu-box{
    opacity: 0;
    width: 100%;
    position: fixed;
    top: 0;
    height: 100vh;
    left: 0;
    transition: all .5s ease;
    pointer-events: none;
    background-color: #f1f1f1;
 
}
.header-style7 .header-menu-box.active{
    opacity: 1;
    pointer-events: auto;
}
.header-style7 .header-menu{
    width: 100%;
    height: 100%;
    display:         flex;
    display: -webkit-flex;
          align-items: center;
    -webkit-align-items: center;
          justify-content: center;
    -webkit-justify-content: center;
    flex-direction:column;
    -webkit-flex-direction:column;
}

.header-style7 .header-menu li{
    margin-bottom: 20px;
    height: 32px;
    overflow: hidden;
}
.header-style7 .header-menu li:last-child{
    margin-bottom: 0;
}

.header-menu-list-box li{
    margin-bottom: 30px
}

.header-menu-title{
    font-size: 18px;
    position: relative;
    letter-spacing: 0.2em;
    box-sizing: border-box;
    padding-left: 0.2em;
    color: #000;
    transition: all .3s linear;
}
div.header-menu-title{
    cursor: context-menu;
}


.rwd-menu-list-back{
    display: none;
}
.mask{
    width: 100%;
    height: 100vh;
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.7);
}

.mask.active{
    display: block;
}

.rwd-menu-box{
    width: 75px;
    display: inline-block;
    vertical-align: middle;
    cursor: pointer;
}
.rwd-menu{
    width: 20px;
    max-width: 100%;
    z-index: 99999;
    position: relative;
    display: inline-block;
    vertical-align: middle;
}
.rwd-menu span{
    width: 100%;
    display: block;
    margin: 0 auto;
    height: 1px;
    background-color: #000;
    position: relative;
    transition: all .3s linear;
}
#index .rwd-menu span,
#works-page .rwd-menu span{
    background-color: #fff;
}
#index .header2 .rwd-menu span,
#works-page .header2 .rwd-menu span,
#index .rwd-menu-box.active .rwd-menu span,
#works-page .rwd-menu-box.active .rwd-menu span{
    background-color: #000;
}
.rwd-menu-text{
    width: 55px;
    text-align: right;
    display: inline-block;
    vertical-align: middle;
    font-size: 14px;
    letter-spacing: 0.06em;
    color: #000;
    font-family: 'Roboto';
    font-weight: 300;
    position: relative;
    z-index: 99999;
    transition: all .3s linear;
}
#index .rwd-menu-text,
#works-page .rwd-menu-text{
    color: #fff;
}
#index .header2 .rwd-menu-text,
#works-page .header2 .rwd-menu-text,
#index .rwd-menu-box.active .rwd-menu-text,
#works-page .rwd-menu-box.active .rwd-menu-text{
    color: #000;
}




/*漢堡樣式1*/
.rwd-menu-style1> span:nth-child(even){
    margin: 6px auto;
    transition: all .4s linear;
}
.rwd-menu-style1> span:nth-child(1){
    /* transform: scale(1); */
    transform-origin: left;
    transition: all .4s linear;
}
.rwd-menu-style1> span:nth-child(3){
    /* transform: scale(1); */
    transform-origin: right;
    transition: all .4s linear;
}
.rwd-menu-style1> span:nth-child(4){
    top: -19px;
    transform:  scale(0,1) rotate(-45deg);
}
.rwd-menu-style1> span:nth-child(4){
    display: none;
}
.rwd-menu-style1 .rwd-menu-bth-line{
    transform: rotate(-45deg);
}
.rwd-menu-style1 .rwd-menu-bth-line2{
    transform: rotate(45deg);
}
.rwd-menu-style1 .rwd-menu-bth-line,
.rwd-menu-style1 .rwd-menu-bth-line2{
    position: absolute;
    top: 7px;
    left:0;
    width: 100%;
}
.rwd-menu-style1 .rwd-menu-bth-line span,
.rwd-menu-style1 .rwd-menu-bth-line2 span{
    transform:  scale(0,1);
    transition: all .5s ease;
    position: relative;
}
.rwd-menu-style1.active .rwd-menu-bth-line span,
.rwd-menu-style1.active .rwd-menu-bth-line2 span{
    transform:  scale(1,1) ;
    /* transition-delay: .1s; */
}
.rwd-menu-style1.active> span:nth-child(1),
.rwd-menu-style1.active> span:nth-child(2),
.rwd-menu-style1.active> span:nth-child(3){
    transform: scale(0,1);
}
.rwd-menu-style1.active> span:nth-child(odd){
    transform: scale(0);
    transition: all .3s linear;
    transition-delay: 0s;
}



@keyframes smallbig{
  0%, 100%{
    -webkit-transform: scale(1);
    -ms-transform: scale(1);
    -o-transform: scale(1);
    transform: scale(1);
  }

  50%{
    -webkit-transform: scale(0);
    -ms-transform: scale(0);
    -o-transform: scale(0);
    transform: scale(0);
  }
}

.header-menu-title.active,
.header-menu-title:hover{
    color: #888;
}


/*------------------------------------------*/

@media only screen and (max-width: 1840px){
    .header-style7 .header-box{
        width: 95%;
    }
}

@media only screen and (max-width: 1000px){
    .rwd-menu-box.active .rwd-menu-text{
        color: #28a2af !important;
    }
    .rwd-menu-box.active span{
        background-color: #28a2af !important;
    }
}
@media only screen and (max-width: 550px){
    .header-style7 .header-logo{
        width: 60px;
    }
    .header-tel-box {
        width: calc(100% - 135px);
        padding-right: 10px;
    }
    .header-tel{
        font-size: 16px;
    }
}

@media only screen and (min-width: 1001px){
    .rwd-menu-box:hover .rwd-menu-text{
        color: #28a2af !important;
    }
    .rwd-menu-box:hover span{
        background-color: #28a2af !important;
    }
}